export default (tinymce, menu) => {

    tinymce.PluginManager.add('tjdata-tinymce-plugins-search', editor => {

        const defaultSelectionToolbar = menu.map(item => item.type).join(" ")
        editor.options.register('quickbars_selection_toolbar', {
            processor: value => ({value: value.trim(), valid: true}),
            default: defaultSelectionToolbar
        })
    
        editor.ui.registry.addContextToolbar('textselection', {
            predicate: node => !editor.selection.isCollapsed(),
            items: editor.options.get("quickbars_selection_toolbar"),
            position: 'selection',
            scope: 'node'
        })
        menu.forEach((item, index) => {
            editor.ui.registry.addButton(item.type, {text: item.text, onAction: () => item.onAction(editor, item, index)})
        })
    })
}